[FASTCGI] Status of FastCGI ?

Tom Donovan Tom at tomdonovan.net
Sat Dec 6 09:25:33 EST 2008


antonio cipolletti wrote:
> i sent a previous post asking the compatibility of the current fastcgi 
> release and apache 2.2.10 on win32 systems, because i found another
> group, more…more…more… active than this (www.apachelounge.com 
> <http://www.apachelounge.com/>),
> where there is a different fastcgi module. This site released a 
> different version of fastcgi module :
> 
> “Because the APR has changed from 1.2 to 1.3, a new mod_fcgid driver is 
> needed.

mod_fcgid (with a "d") from http://fastcgi.coremail.cn/download.htm is indeed a different module.

> Anyone can say if there is the same issue on this fastcgi implementation ?

The same change is needed in this mod_fastcgi. The changes necessary to run mod_fastcgi with Apache 
2.2.9+ on Windows are in the November 2008 snapshot at http://www.fastcgi.com/dist/ The filename is: 
mod_fastcgi-SNAP-0811090952.tar.gz

If you build mod_fastcgi from this source code tarball, it will work with Apache 2.2.9 or higher on 
Windows.

See this previous thread: http://thread.gmane.org/gmane.comp.web.fastcgi.devel/2531

-tom-




More information about the FastCGI-developers mailing list